> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# deleteMessage

> Permanently deletes a [Message](#schema_message). It cannot be undone.



## OpenAPI

````yaml chat-openapi.json delete /messages/{id}
openapi: 3.0.0
info:
  title: Chat API
  description: API for the Chat Integration
  version: 0.0.0
servers:
  - url: https://chat.botpress.cloud/{webhookUrl}
    variables:
      webhookUrl:
        default: your_default_webhook_url
        description: The webhook URL
security: []
paths:
  /messages/{id}:
    delete:
      tags:
        - Endpoints
      summary: Delete Message
      description: Permanently deletes a [Message](#schema_message). It cannot be undone.
      operationId: deleteMessage
      parameters:
        - name: x-user-key
          in: header
          description: Authentication Key
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: Message id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Returns the [Message](#schema_message) object that was deleted
          content:
            application/json:
              schema:
                type: object
                title: deleteMessageResponse
                additionalProperties: false
        default:
          description: Returns the [Message](#schema_message) object that was deleted
          content:
            application/json:
              schema:
                type: object
                title: deleteMessageResponse
                additionalProperties: false

````